Summary:    Trace-enabled versions of the IBM Cell BE Accelerator Library Framework (ALF)
Name:       alf-trace
Version:    3.0.0
Release:    9
Group:      Cell Development Libraries
Vendor:     IBM Corporation
Distribution: IBM SDK for Multicore Acceleration
URL:	    http://www.ibm.com
License:    BSD
Source:     alf-%{version}.tar.bz2
Buildroot:  %{_tmppath}/%{BUILDsubdir}

# we need the symbols, so don't strip
%define __strip /bin/true
%define __objdump /bin/true

%define BUILDsubdir      %{name}-%{version}-%{release}

Requires: %{name} = %{version}
Requires: libtrace.so
BuildRequires: trace-cross-devel
BuildRequires: libtrace.so
#  This is not ideal, but since we often build cross, it is required.
%define _use_internal_dependency_generator     0

%description
The Cell SDK ALF package contains Accelerator Library Framework (ALF) 
trace-enabled libraries needed to build ALF enabled code.

%package -n %{name}-devel
Group:      Cell Development Libraries
Summary: Development files for %{name}
Requires: %{name} = %{version}

%description -n %{name}-devel
The Cell SDK ALF package contains Accelerator Library Framework (ALF) 
trace-enabled libraries needed to build ALF enabled code.

%prep
%setup -q -c -n %{BUILDsubdir}

%build
rm -rf ${RPM_BUILD_ROOT}
cd alf/src/arch/cell
# build and install the trace-enabled libraries
make clean all install TRACE=1 BUILD_CELL=1 DESTDIR=${RPM_BUILD_ROOT} TARGET_CPU=%{_target_cpu}

%install
%ifarch ppc64
# remove files that will only get shipped in the ppc rpm
rm -rf ${RPM_BUILD_ROOT}/usr/include
rm -rf ${RPM_BUILD_ROOT}/usr/spu/include
rm -rf ${RPM_BUILD_ROOT}/usr/share/pdt/config/pdt_alf*.xml
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

# trace-enabled stuff
%files
%defattr(-,root,root)
%ifarch ppc
/usr/lib/alf/trace/*.so*
/usr/share/pdt/config/pdt_alf*xml
%endif
%ifarch ppc64
/usr/lib64/alf/trace/*.so*
%endif

%files -n %{name}-devel
%defattr(-,root,root)
%ifarch ppc
/usr/lib/alf/trace/*.a
/usr/spu/lib/alf/trace/*.a
%endif
%ifarch ppc64
/usr/lib64/alf/trace/*.a
%endif
